from .UnitClass import UnitClass
from .UnitProperty import UnitProperty

UnitProperties = {
    UnitClass.WORKER: {
        UnitProperty.LIFE_POINTS: 10,
        UnitProperty.MAX_LIFE_POINTS: 10,
        UnitProperty.MOVE_POINTS: 8,
        UnitProperty.MAX_MOVE_POINTS: 8,
    },
    UnitClass.FARMER: {
        UnitProperty.LIFE_POINTS: 10,
        UnitProperty.MAX_LIFE_POINTS: 10,
        UnitProperty.MOVE_POINTS: 8,
        UnitProperty.MAX_MOVE_POINTS: 8,
    },
    UnitClass.BOWMAN: {
        UnitProperty.LIFE_POINTS: 10,
        UnitProperty.MAX_LIFE_POINTS: 10,
        UnitProperty.MOVE_POINTS: 10,
        UnitProperty.MAX_MOVE_POINTS: 10,
        UnitProperty.ACTION_POINTS: 2,
        UnitProperty.MAX_ACTION_POINTS: 2,
        UnitProperty.MELEE_ATTACK: 4,
        UnitProperty.BOW_ATTACK: 5,
        UnitProperty.BOW_RANGE: 5,
        UnitProperty.MELEE_DEFENSE: 1,
        UnitProperty.BOW_DEFENSE: 3,
        UnitProperty.MOUNT_DEFENSE: 1,
        UnitProperty.SIEGE_DEFENSE: 3
    },
    UnitClass.PIKEMAN: {
        UnitProperty.LIFE_POINTS: 10,
        UnitProperty.MAX_LIFE_POINTS: 10,
        UnitProperty.MOVE_POINTS: 8,
        UnitProperty.MAX_MOVE_POINTS: 8,
        UnitProperty.ACTION_POINTS: 1,
        UnitProperty.MAX_ACTION_POINTS: 1,
        UnitProperty.MELEE_ATTACK: 6,
        UnitProperty.MELEE_DEFENSE: 2,
        UnitProperty.BOW_DEFENSE: 2,
        UnitProperty.MOUNT_DEFENSE: 8,
        UnitProperty.SIEGE_DEFENSE: 2,
    },
    UnitClass.SWORDSMAN: {
        UnitProperty.LIFE_POINTS: 10,
        UnitProperty.MAX_LIFE_POINTS: 10,
        UnitProperty.MOVE_POINTS: 6,
        UnitProperty.MAX_MOVE_POINTS: 6,
        UnitProperty.ACTION_POINTS: 1,
        UnitProperty.MAX_ACTION_POINTS: 1,
        UnitProperty.MELEE_ATTACK: 8,
        UnitProperty.MELEE_DEFENSE: 3,
        UnitProperty.BOW_DEFENSE: 3,
        UnitProperty.MOUNT_DEFENSE: 3,
        UnitProperty.SIEGE_DEFENSE: 1,
    },
    UnitClass.KNIGHT: {
        UnitProperty.LIFE_POINTS: 10,
        UnitProperty.MAX_LIFE_POINTS: 10,
        UnitProperty.MOVE_POINTS: 16,
        UnitProperty.MAX_MOVE_POINTS: 16,
        UnitProperty.ACTION_POINTS: 1,
        UnitProperty.MAX_ACTION_POINTS: 1,
        UnitProperty.MOUNT_ATTACK: 10,
        UnitProperty.MELEE_DEFENSE: 2,
        UnitProperty.BOW_DEFENSE: 2,
        UnitProperty.MOUNT_DEFENSE: 2,
        UnitProperty.SIEGE_DEFENSE: 2,
    },
    UnitClass.CATAPULT: {
        UnitProperty.LIFE_POINTS: 10,
        UnitProperty.MAX_LIFE_POINTS: 10,
        UnitProperty.MOVE_POINTS: 4,
        UnitProperty.MAX_MOVE_POINTS: 4,
        UnitProperty.ACTION_POINTS: 1,
        UnitProperty.MAX_ACTION_POINTS: 1,
        UnitProperty.SIEGE_ATTACK: 6,
        UnitProperty.SIEGE_RANGE: 5,
    }
}
